package com.engine.kq.service;

import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

public interface KQReportService {

	/**
	 * 获取考勤报表右键菜单
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getRightMenu(Map<String, Object> params, User user);

	/**
	 * 获取考勤报表查询条件
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getSearchCondition(Map<String, Object> params, User user);

	/**
	 * 获取考勤日报表
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getKQDailyReport(Map<String, Object> params, User user);


	/**
	 * 获取考勤报表
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getKQReport(Map<String, Object> params, User user);

	/**
	 * 格式化考勤报表
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> formatReport(Map<String, Object> params, User user);


	/**
	 * 导出考勤报表
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> exportExcel(Map<String, Object> params, HttpServletRequest request, HttpServletResponse response, User user);

	/**
	 * 导出考勤日报表
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> exportDailyExcel(Map<String, Object> params, HttpServletRequest request, HttpServletResponse response, User user);

}
